#ifndef _PWM_H__
#define _PWM_H__
#include "libs/types.h"

void HAL_PWM_Init(int fs);
void PWM_UpdateDuty(u32 duty1, u32 duty2, u32 duty3, u32 sample_point);
void PWM_Start(void);
void PWM_Stop(void);
void PWM_TimerEnable(void);
void PWM_TurnOnLowSides(void);
void PWM_Disable_Channels(void);
void PWM_Enable_Channels(void);

#endif /* _PWM_H__ */

